#define N_STAGES 12
#define N_WAVES  10

#define N_WEAPONS    7
#define N_ITEMS     10
#define N_INVENTORY  4
#define N_SAMPLES   10

#define N_ENEMIES_TYPE 4
#define N_HUNTERS    25
#define N_ARMADILLOS 20
#define N_BANDITS    15
#define N_CRUISERS    5

using namespace std;

#include <iostream>
#include <fstream>
#include <sstream>
#include <string>
#include <cmath>

#include <allegro5/allegro.h>
#include <allegro5/allegro_font.h>
#include <allegro5/allegro_image.h>
#include <allegro5/allegro_native_dialog.h>
#include <allegro5/allegro_primitives.h>
#include <allegro5/allegro_audio.h>
#include <allegro5/allegro_acodec.h>

#include "class/AR/AR.h"
#include "class/AR/AR_Util.h"
#include "class/AR/AR_Timer.h"
#include "class/AR/AR_Display.h"
#include "class/AR/AR_Audio.h"
#include "class/AR/AR_Sample.h"
#include "class/AR/AR_Keyboard.h"
#include "class/AR/AR_Font.h"
#include "class/AR/AR_Bitmap.h"
#include "class/AR/AR_Sprite.h"
#include "class/AR/AR_Light.h"
#include "class/AR/AR_Map.h"
#include "class/AR/AR_ParticleGenerator.h"
#include "class/AR/AR_Game.h"

#include "class/Stage.h"
#include "class/Bullet.h"
#include "class/Missile.h"
#include "class/Weapon.h"
#include "class/Item.h"
#include "class/Cannon.h"
#include "class/MissileLauncher.h"
#include "class/Shield.h"
#include "class/Object.h"
#include "class/Player.h"
#include "class/Hunter.h"
#include "class/Armadillo.h"
#include "class/Bandit.h"
#include "class/Cruiser.h"
#include "class/Osd.h"
#include "class/Game.h"

int main()
 {
  Game *game;

  game = new Game(AR::RES_1024x768,true);
  game->initGame();
  game->runGame();

  return 0;
 }
